Package icyllis.arc3d.granite

# Class SimpleShape

java.lang.Object
icyllis.arc3d.core.RoundRect
icyllis.arc3d.granite.SimpleShape

public class SimpleShape extends RoundRect

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `kLine_Type`
  Extends RoundRect::Type, adds three types of stroked lines.
  `static final int`
  `kLineRound_Type`
  Extends RoundRect::Type, adds three types of stroked lines.

  ### Fields inherited from class icyllis.arc3d.core.RoundRect

  `kAlignOf, kComplex_Type, kEllipse_Type, kEmpty_Type, kLast_Type, kNineSlice_Type, kRect_Type, kSimple_Type, kSizeOf, mBottom, mLeft, mRadii, mRight, mTop, mType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleShape()`
  `SimpleShape(Rect2fc other)`
  `SimpleShape(RoundRect other)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `getBounds(Rect2f dest)`
  Returns bounds.
  `void`
  `setLine(float x0, float y0, float x1, float y1, float radius, boolean round)`
  `void`
  `setLine(float x0, float y0, float x1, float y1, int cap, float width)`

  ### Methods inherited from class icyllis.arc3d.core.RoundRect

  `bottom, centerX, centerY, equals, getRadii, getRect, getSimpleRadiusX, getSimpleRadiusY, getType, halfHeight, halfWidth, hashCode, height, isComplex, isEllipse, isEmpty, isNineSlice, isRect, isSimple, isValid, left, right, set, set, setEllipse, setEllipse, setEllipseXY, setEmpty, setNineSlice, setNineSlice, setRect, setRect, setRectXY, setRectXY, store, top, toString, width, x, y`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### kLine_Type

    public static final int kLine_Type
    Extends RoundRect::Type, adds three types of stroked lines.

    LeftTop becomes the start point and RightBottom becomes the end point. RadiusUlx becomes half the line width.

    See Also:
      - Constant Field Values

  - ### kLineRound_Type

    public static final int kLineRound_Type
    Extends RoundRect::Type, adds three types of stroked lines.

    LeftTop becomes the start point and RightBottom becomes the end point. RadiusUlx becomes half the line width.

    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SimpleShape

    public SimpleShape()

  - ### SimpleShape

    public SimpleShape(RoundRect other)

  - ### SimpleShape

    public SimpleShape(Rect2fc other)

- ## Method Details

  - ### setLine

    public void setLine(float x0, float y0, float x1, float y1, float radius, boolean round)

  - ### setLine

    public void setLine(float x0, float y0, float x1, float y1, int cap, float width)

  - ### getBounds

    public void getBounds(Rect2f dest)
    Description copied from class: `RoundRect`
    Returns bounds. Bounds may have zero width or zero height. Bounds right is greater than or equal to left; bounds bottom is greater than or equal to top. Result is identical to `RoundRect.getRect(icyllis.arc3d.core.Rect2f)`.
    Overrides:
      `getBounds` in class `RoundRect`